### Method

# Gck Attribute get_string

#### Declaration [src]

    gchar*
    gck_attribute_get_string (
      const GckAttribute* attr
    )

#### Description [src]

Get the string value of a PKCS#11 attribute. No conversion is performed. It is an error to pass an attribute to this function unless you’re know it’s supposed to contain a value of the right type.

#### Return value

Type: `gchar*`

A null terminated string, to be freed with g_free(), or `NULL` if the value was invalid.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.